Preparing release
[geeqie.git] / Makefile.in
1 # Makefile.in generated by automake 1.16.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (C) 2004 Oren Ben-Kiki
18 # This file is distributed under the same terms as the Automake macro files.
19
20 # Generate automatic documentation using Doxygen. Goals and variables values
21 # are controlled by the various DX_COND_??? conditionals set by autoconf.
22 #
23 # The provided goals are:
24 # doxygen-doc: Generate all doxygen documentation.
25 # doxygen-run: Run doxygen, which will generate some of the documentation
26 #              (HTML, CHM, CHI, MAN, RTF, XML) but will not do the post
27 #              processing required for the rest of it (PS, PDF, and some MAN).
28 # doxygen-man: Rename some doxygen generated man pages.
29 # doxygen-ps: Generate doxygen PostScript documentation.
30 # doxygen-pdf: Generate doxygen PDF documentation.
31 #
32 # Note that by default these are not integrated into the automake goals. If
33 # doxygen is used to generate man pages, you can achieve this integration by
34 # setting man3_MANS to the list of man pages generated and then adding the
35 # dependency:
36 #
37 #   $(man3_MANS): doxygen-doc
38 #
39 # This will cause make to run doxygen and generate all the documentation.
40 #
41 # The following variable is intended for use in Makefile.am:
42 #
43 # DX_CLEANFILES = everything to clean.
44 #
45 # This is usually added to MOSTLYCLEANFILES.
46
47 VPATH = @srcdir@
48 am__is_gnu_make = { \
49   if test -z '$(MAKELEVEL)'; then \
50     false; \
51   elif test -n '$(MAKE_HOST)'; then \
52     true; \
53   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
54     true; \
55   else \
56     false; \
57   fi; \
58 }
59 am__make_running_with_option = \
60   case $${target_option-} in \
61       ?) ;; \
62       *) echo "am__make_running_with_option: internal error: invalid" \
63               "target option '$${target_option-}' specified" >&2; \
64          exit 1;; \
65   esac; \
66   has_opt=no; \
67   sane_makeflags=$$MAKEFLAGS; \
68   if $(am__is_gnu_make); then \
69     sane_makeflags=$$MFLAGS; \
70   else \
71     case $$MAKEFLAGS in \
72       *\\[\ \   ]*) \
73         bs=\\; \
74         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
75           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
76     esac; \
77   fi; \
78   skip_next=no; \
79   strip_trailopt () \
80   { \
81     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
82   }; \
83   for flg in $$sane_makeflags; do \
84     test $$skip_next = yes && { skip_next=no; continue; }; \
85     case $$flg in \
86       *=*|--*) continue;; \
87         -*I) strip_trailopt 'I'; skip_next=yes;; \
88       -*I?*) strip_trailopt 'I';; \
89         -*O) strip_trailopt 'O'; skip_next=yes;; \
90       -*O?*) strip_trailopt 'O';; \
91         -*l) strip_trailopt 'l'; skip_next=yes;; \
92       -*l?*) strip_trailopt 'l';; \
93       -[dEDm]) skip_next=yes;; \
94       -[JT]) skip_next=yes;; \
95     esac; \
96     case $$flg in \
97       *$$target_option*) has_opt=yes; break;; \
98     esac; \
99   done; \
100   test $$has_opt = yes
101 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
102 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
103 pkgdatadir = $(datadir)/@PACKAGE@
104 pkgincludedir = $(includedir)/@PACKAGE@
105 pkglibdir = $(libdir)/@PACKAGE@
106 pkglibexecdir = $(libexecdir)/@PACKAGE@
107 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
108 install_sh_DATA = $(install_sh) -c -m 644
109 install_sh_PROGRAM = $(install_sh) -c
110 install_sh_SCRIPT = $(install_sh) -c
111 INSTALL_HEADER = $(INSTALL_DATA)
112 transform = $(program_transform_name)
113 NORMAL_INSTALL = :
114 PRE_INSTALL = :
115 POST_INSTALL = :
116 NORMAL_UNINSTALL = :
117 PRE_UNINSTALL = :
118 POST_UNINSTALL = :
119 subdir = .
120 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
121 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
122         $(top_srcdir)/configure.ac
123 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
124         $(ACLOCAL_M4)
125 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
126         $(am__configure_deps) $(am__DIST_COMMON)
127 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
128  configure.lineno config.status.lineno
129 mkinstalldirs = $(install_sh) -d
130 CONFIG_HEADER = config.h
131 CONFIG_CLEAN_FILES = geeqie.spec
132 CONFIG_CLEAN_VPATH_FILES =
133 AM_V_P = $(am__v_P_@AM_V@)
134 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
135 am__v_P_0 = false
136 am__v_P_1 = :
137 AM_V_GEN = $(am__v_GEN_@AM_V@)
138 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139 am__v_GEN_0 = @echo "  GEN     " $@;
140 am__v_GEN_1 = 
141 AM_V_at = $(am__v_at_@AM_V@)
142 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
143 am__v_at_0 = @
144 am__v_at_1 = 
145 SOURCES =
146 DIST_SOURCES =
147 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
148         ctags-recursive dvi-recursive html-recursive info-recursive \
149         install-data-recursive install-dvi-recursive \
150         install-exec-recursive install-html-recursive \
151         install-info-recursive install-pdf-recursive \
152         install-ps-recursive install-recursive installcheck-recursive \
153         installdirs-recursive pdf-recursive ps-recursive \
154         tags-recursive uninstall-recursive
155 am__can_run_installinfo = \
156   case $$AM_UPDATE_INFO_DIR in \
157     n|no|NO) false;; \
158     *) (install-info --version) >/dev/null 2>&1;; \
159   esac
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 man1dir = $(mandir)/man1
188 am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(appdatadir)" \
189         "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(icondir)" \
190         "$(DESTDIR)$(readmedir)"
191 NROFF = nroff
192 MANS = $(man_MANS)
193 DATA = $(appdata_DATA) $(desktop_DATA) $(icon_DATA) $(readme_DATA)
194 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
195   distclean-recursive maintainer-clean-recursive
196 am__recursive_targets = \
197   $(RECURSIVE_TARGETS) \
198   $(RECURSIVE_CLEAN_TARGETS) \
199   $(am__extra_recursive_targets)
200 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
201         cscope distdir distdir-am dist dist-all distcheck
202 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
203         config.h.in
204 # Read a list of newline-separated strings from the standard input,
205 # and print each of them once, without duplicates.  Input order is
206 # *not* preserved.
207 am__uniquify_input = $(AWK) '\
208   BEGIN { nonempty = 0; } \
209   { items[$$0] = 1; nonempty = 1; } \
210   END { if (nonempty) { for (i in items) print i; }; } \
211 '
212 # Make sure the list of sources is unique.  This is necessary because,
213 # e.g., the same source file might be shared among _SOURCES variables
214 # for different programs/libraries.
215 am__define_uniq_tagged_files = \
216   list='$(am__tagged_files)'; \
217   unique=`for i in $$list; do \
218     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
219   done | $(am__uniquify_input)`
220 ETAGS = etags
221 CTAGS = ctags
222 CSCOPE = cscope
223 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
224         $(srcdir)/geeqie.spec.in $(top_srcdir)/aminclude.am \
225         $(top_srcdir)/auxdir/compile $(top_srcdir)/auxdir/install-sh \
226         $(top_srcdir)/auxdir/missing AUTHORS COPYING ChangeLog NEWS \
227         TODO auxdir/compile auxdir/depcomp auxdir/install-sh \
228         auxdir/missing
229 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
230 distdir = $(PACKAGE)-$(VERSION)
231 top_distdir = $(distdir)
232 am__remove_distdir = \
233   if test -d "$(distdir)"; then \
234     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
235       && rm -rf "$(distdir)" \
236       || { sleep 5 && rm -rf "$(distdir)"; }; \
237   else :; fi
238 am__post_remove_distdir = $(am__remove_distdir)
239 am__relativize = \
240   dir0=`pwd`; \
241   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
242   sed_rest='s,^[^/]*/*,,'; \
243   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
244   sed_butlast='s,/*[^/]*$$,,'; \
245   while test -n "$$dir1"; do \
246     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
247     if test "$$first" != "."; then \
248       if test "$$first" = ".."; then \
249         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
250         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
251       else \
252         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
253         if test "$$first2" = "$$first"; then \
254           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
255         else \
256           dir2="../$$dir2"; \
257         fi; \
258         dir0="$$dir0"/"$$first"; \
259       fi; \
260     fi; \
261     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
262   done; \
263   reldir="$$dir2"
264 GZIP_ENV = --best
265 DIST_ARCHIVES = $(distdir).tar.xz
266 DIST_TARGETS = dist-xz
267 distuninstallcheck_listfiles = find . -type f -print
268 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
269   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
270 distcleancheck_listfiles = find . -type f -print
271 ACLOCAL = @ACLOCAL@
272 ALL_LINGUAS = @ALL_LINGUAS@
273 AMTAR = @AMTAR@
274 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
275 AUTOCONF = @AUTOCONF@
276 AUTOHEADER = @AUTOHEADER@
277 AUTOMAKE = @AUTOMAKE@
278 AWK = @AWK@
279 CATALOGS = @CATALOGS@
280 CATOBJEXT = @CATOBJEXT@
281 CC = @CC@
282 CCDEPMODE = @CCDEPMODE@
283 CFLAGS = @CFLAGS@
284 CLUTTER_CFLAGS = @CLUTTER_CFLAGS@
285 CLUTTER_GTK_CFLAGS = @CLUTTER_GTK_CFLAGS@
286 CLUTTER_GTK_LIBS = @CLUTTER_GTK_LIBS@
287 CLUTTER_LIBS = @CLUTTER_LIBS@
288 CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
289 CPP = @CPP@
290 CPPFLAGS = @CPPFLAGS@
291 CXX = @CXX@
292 CXXDEPMODE = @CXXDEPMODE@
293 CXXFLAGS = @CXXFLAGS@
294 CYGPATH_W = @CYGPATH_W@
295 DATADIRNAME = @DATADIRNAME@
296 DEFS = @DEFS@
297 DEPDIR = @DEPDIR@
298 DJVU_CFLAGS = @DJVU_CFLAGS@
299 DJVU_LIBS = @DJVU_LIBS@
300 DOXYGEN_PAPER_SIZE = @DOXYGEN_PAPER_SIZE@
301 DX_CONFIG = @DX_CONFIG@
302 DX_DOCDIR = @DX_DOCDIR@
303 DX_DOT = @DX_DOT@
304 DX_DOXYGEN = @DX_DOXYGEN@
305 DX_DVIPS = @DX_DVIPS@
306 DX_EGREP = @DX_EGREP@
307 DX_ENV = @DX_ENV@
308 DX_FLAG_DX_CURRENT_FEATURE = @DX_FLAG_DX_CURRENT_FEATURE@
309 DX_FLAG_chi = @DX_FLAG_chi@
310 DX_FLAG_chm = @DX_FLAG_chm@
311 DX_FLAG_doc = @DX_FLAG_doc@
312 DX_FLAG_dot = @DX_FLAG_dot@
313 DX_FLAG_html = @DX_FLAG_html@
314 DX_FLAG_man = @DX_FLAG_man@
315 DX_FLAG_pdf = @DX_FLAG_pdf@
316 DX_FLAG_ps = @DX_FLAG_ps@
317 DX_FLAG_rtf = @DX_FLAG_rtf@
318 DX_FLAG_xml = @DX_FLAG_xml@
319 DX_HHC = @DX_HHC@
320 DX_LATEX = @DX_LATEX@
321 DX_MAKEINDEX = @DX_MAKEINDEX@
322 DX_PDFLATEX = @DX_PDFLATEX@
323 DX_PERL = @DX_PERL@
324 DX_PROJECT = @DX_PROJECT@
325 ECHO_C = @ECHO_C@
326 ECHO_N = @ECHO_N@
327 ECHO_T = @ECHO_T@
328 EGREP = @EGREP@
329 EXEEXT = @EXEEXT@
330 EXIV2_CFLAGS = @EXIV2_CFLAGS@
331 EXIV2_LIBS = @EXIV2_LIBS@
332 FFMPEGTHUMBNAILER_CFLAGS = @FFMPEGTHUMBNAILER_CFLAGS@
333 FFMPEGTHUMBNAILER_LIBS = @FFMPEGTHUMBNAILER_LIBS@
334 GDK_PIXBUF_CSOURCE = @GDK_PIXBUF_CSOURCE@
335 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
336 GLIB_CFLAGS = @GLIB_CFLAGS@
337 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
338 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
339 GLIB_LIBS = @GLIB_LIBS@
340 GLIB_MKENUMS = @GLIB_MKENUMS@
341 GMOFILES = @GMOFILES@
342 GMSGFMT = @GMSGFMT@
343 GNOME_DOC_TOOL = @GNOME_DOC_TOOL@
344 GOBJECT_QUERY = @GOBJECT_QUERY@
345 GREP = @GREP@
346 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
347 GTHREAD_LIBS = @GTHREAD_LIBS@
348 GTK_CFLAGS = @GTK_CFLAGS@
349 GTK_LIBS = @GTK_LIBS@
350 HEIF_CFLAGS = @HEIF_CFLAGS@
351 HEIF_LIBS = @HEIF_LIBS@
352 INSTALL = @INSTALL@
353 INSTALL_DATA = @INSTALL_DATA@
354 INSTALL_PROGRAM = @INSTALL_PROGRAM@
355 INSTALL_SCRIPT = @INSTALL_SCRIPT@
356 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
357 INSTOBJEXT = @INSTOBJEXT@
358 INTLLIBS = @INTLLIBS@
359 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
360 INTLTOOL_MERGE = @INTLTOOL_MERGE@
361 INTLTOOL_PERL = @INTLTOOL_PERL@
362 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
363 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
364 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
365 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
366 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
367 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
368 J2K_CFLAGS = @J2K_CFLAGS@
369 J2K_LIBS = @J2K_LIBS@
370 JPEG_CFLAGS = @JPEG_CFLAGS@
371 JPEG_LIBS = @JPEG_LIBS@
372 LCMS_CFLAGS = @LCMS_CFLAGS@
373 LCMS_LIBS = @LCMS_LIBS@
374 LDFLAGS = @LDFLAGS@
375 LIBCHAMPLAIN_CFLAGS = @LIBCHAMPLAIN_CFLAGS@
376 LIBCHAMPLAIN_GTK_CFLAGS = @LIBCHAMPLAIN_GTK_CFLAGS@
377 LIBCHAMPLAIN_GTK_LIBS = @LIBCHAMPLAIN_GTK_LIBS@
378 LIBCHAMPLAIN_LIBS = @LIBCHAMPLAIN_LIBS@
379 LIBOBJS = @LIBOBJS@
380 LIBS = @LIBS@
381 LTLIBOBJS = @LTLIBOBJS@
382 LUA_CFLAGS = @LUA_CFLAGS@
383 LUA_LIBS = @LUA_LIBS@
384 MAINT = @MAINT@
385 MAKEINFO = @MAKEINFO@
386 MKDIR_P = @MKDIR_P@
387 MKINSTALLDIRS = @MKINSTALLDIRS@
388 MSGFMT = @MSGFMT@
389 MSGFMT_OPTS = @MSGFMT_OPTS@
390 MSGMERGE = @MSGMERGE@
391 OBJEXT = @OBJEXT@
392 PACKAGE = @PACKAGE@
393 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
394 PACKAGE_NAME = @PACKAGE_NAME@
395 PACKAGE_STRING = @PACKAGE_STRING@
396 PACKAGE_TARNAME = @PACKAGE_TARNAME@
397 PACKAGE_URL = @PACKAGE_URL@
398 PACKAGE_VERSION = @PACKAGE_VERSION@
399 PATHSEP = @PATHSEP@
400 PATH_SEPARATOR = @PATH_SEPARATOR@
401 PDF_CFLAGS = @PDF_CFLAGS@
402 PDF_LIBS = @PDF_LIBS@
403 PKG_CONFIG = @PKG_CONFIG@
404 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
405 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
406 POFILES = @POFILES@
407 POSUB = @POSUB@
408 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
409 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
410 SET_MAKE = @SET_MAKE@
411 SHELL = @SHELL@
412 STRIP = @STRIP@
413 TIFF_CFLAGS = @TIFF_CFLAGS@
414 TIFF_LIBS = @TIFF_LIBS@
415 USE_NLS = @USE_NLS@
416 VERSION = @VERSION@
417 WEBP_CFLAGS = @WEBP_CFLAGS@
418 WEBP_LIBS = @WEBP_LIBS@
419 WINDRES = @WINDRES@
420 XGETTEXT = @XGETTEXT@
421 abs_builddir = @abs_builddir@
422 abs_srcdir = @abs_srcdir@
423 abs_top_builddir = @abs_top_builddir@
424 abs_top_srcdir = @abs_top_srcdir@
425 ac_ct_CC = @ac_ct_CC@
426 ac_ct_CXX = @ac_ct_CXX@
427 am__include = @am__include@
428 am__leading_dot = @am__leading_dot@
429 am__quote = @am__quote@
430 am__tar = @am__tar@
431 am__untar = @am__untar@
432 appdir = @appdir@
433 bindir = @bindir@
434 build_alias = @build_alias@
435 builddir = @builddir@
436 datadir = @datadir@
437 datarootdir = @datarootdir@
438 docdir = @docdir@
439 dvidir = @dvidir@
440 exec_prefix = @exec_prefix@
441 gq_bindir = @gq_bindir@
442 host_alias = @host_alias@
443 htmldir = @htmldir@
444 includedir = @includedir@
445 infodir = @infodir@
446 install_sh = @install_sh@
447 intltool__v_merge_options_ = @intltool__v_merge_options_@
448 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
449 libdir = @libdir@
450 libexecdir = @libexecdir@
451 localedir = @localedir@
452 localstatedir = @localstatedir@
453 mandir = @mandir@
454 mkdir_p = @mkdir_p@
455 ms_librarian = @ms_librarian@
456 oldincludedir = @oldincludedir@
457 pdfdir = @pdfdir@
458 prefix = @prefix@
459 program_transform_name = @program_transform_name@
460 psdir = @psdir@
461 readmedir = @readmedir@
462 runstatedir = @runstatedir@
463 sbindir = @sbindir@
464 sharedstatedir = @sharedstatedir@
465 srcdir = @srcdir@
466 sysconfdir = @sysconfdir@
467 target_alias = @target_alias@
468 top_build_prefix = @top_build_prefix@
469 top_builddir = @top_builddir@
470 top_srcdir = @top_srcdir@
471 @DX_COND_doc_TRUE@@DX_COND_html_TRUE@DX_CLEAN_HTML = @DX_DOCDIR@/html
472 @DX_COND_chm_TRUE@@DX_COND_doc_TRUE@DX_CLEAN_CHM = @DX_DOCDIR@/chm
473 @DX_COND_chi_TRUE@@DX_COND_chm_TRUE@@DX_COND_doc_TRUE@DX_CLEAN_CHI = @DX_DOCDIR@/@PACKAGE@.chi
474 @DX_COND_doc_TRUE@@DX_COND_man_TRUE@DX_CLEAN_MAN = @DX_DOCDIR@/man
475 @DX_COND_doc_TRUE@@DX_COND_rtf_TRUE@DX_CLEAN_RTF = @DX_DOCDIR@/rtf
476 @DX_COND_doc_TRUE@@DX_COND_xml_TRUE@DX_CLEAN_XML = @DX_DOCDIR@/xml
477 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@DX_CLEAN_PS = @DX_DOCDIR@/@PACKAGE@.ps
478 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@DX_PS_GOAL = doxygen-ps
479 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@DX_CLEAN_PDF = @DX_DOCDIR@/@PACKAGE@.pdf
480 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@DX_PDF_GOAL = doxygen-pdf
481 @DX_COND_doc_TRUE@@DX_COND_latex_TRUE@DX_CLEAN_LATEX = @DX_DOCDIR@/latex
482 @DX_COND_doc_TRUE@DX_CLEANFILES = \
483 @DX_COND_doc_TRUE@    @DX_DOCDIR@/@PACKAGE@.tag \
484 @DX_COND_doc_TRUE@    -r \
485 @DX_COND_doc_TRUE@    $(DX_CLEAN_HTML) \
486 @DX_COND_doc_TRUE@    $(DX_CLEAN_CHM) \
487 @DX_COND_doc_TRUE@    $(DX_CLEAN_CHI) \
488 @DX_COND_doc_TRUE@    $(DX_CLEAN_MAN) \
489 @DX_COND_doc_TRUE@    $(DX_CLEAN_RTF) \
490 @DX_COND_doc_TRUE@    $(DX_CLEAN_XML) \
491 @DX_COND_doc_TRUE@    $(DX_CLEAN_PS) \
492 @DX_COND_doc_TRUE@    $(DX_CLEAN_PDF) \
493 @DX_COND_doc_TRUE@    $(DX_CLEAN_LATEX)
494
495 SUBDIRS = src po doc plugins
496 DIST_SUBDIRS = src po doc plugins
497 man_MANS = geeqie.1
498 @HAVE_MARKDOWN_FALSE@readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS ChangeLog.html
499 @HAVE_MARKDOWN_TRUE@readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS README.html ChangeLog.html
500 desktopdir = $(datadir)/applications
501 desktop_in_files = geeqie.desktop.in
502 desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
503 icondir = $(datadir)/pixmaps
504 icon_DATA = geeqie.png
505 @EXTERNAL_PREFIX_FALSE@appdatadir = /usr/share/metainfo
506
507 # Location defined by freedesktop.org
508 @EXTERNAL_PREFIX_TRUE@appdatadir = $(datadir)/metainfo
509 appdata_DATA = $(appdata_in_files:.xml.in=.xml)
510 appdata_in_files = org.geeqie.Geeqie.appdata.xml.in
511 EXTRA_DIST = \
512         $(readme_DATA)  \
513         $(desktop_in_files)     \
514         $(icon_DATA)    \
515         geeqie.spec.in  \
516         geeqie.1        \
517         doxygen.conf    \
518         $(appdata_in_files)
519
520 DISTCLEANFILES = config.report
521 CLEANFILES = $(desktop_DATA) ChangeLog.html $(appdata_DATA)
522 all: config.h
523         $(MAKE) $(AM_MAKEFLAGS) all-recursive
524
525 .SUFFIXES:
526 am--refresh: Makefile
527         @:
528 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/aminclude.am $(am__configure_deps)
529         @for dep in $?; do \
530           case '$(am__configure_deps)' in \
531             *$$dep*) \
532               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
533               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
534                 && exit 0; \
535               exit 1;; \
536           esac; \
537         done; \
538         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
539         $(am__cd) $(top_srcdir) && \
540           $(AUTOMAKE) --foreign Makefile
541 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
542         @case '$?' in \
543           *config.status*) \
544             echo ' $(SHELL) ./config.status'; \
545             $(SHELL) ./config.status;; \
546           *) \
547             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
548             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
549         esac;
550 $(top_srcdir)/aminclude.am $(am__empty):
551
552 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
553         $(SHELL) ./config.status --recheck
554
555 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
556         $(am__cd) $(srcdir) && $(AUTOCONF)
557 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
558         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
559 $(am__aclocal_m4_deps):
560
561 config.h: stamp-h1
562         @test -f $@ || rm -f stamp-h1
563         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
564
565 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
566         @rm -f stamp-h1
567         cd $(top_builddir) && $(SHELL) ./config.status config.h
568 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
569         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
570         rm -f stamp-h1
571         touch $@
572
573 distclean-hdr:
574         -rm -f config.h stamp-h1
575 geeqie.spec: $(top_builddir)/config.status $(srcdir)/geeqie.spec.in
576         cd $(top_builddir) && $(SHELL) ./config.status $@
577 install-man1: $(man_MANS)
578         @$(NORMAL_INSTALL)
579         @list1=''; \
580         list2='$(man_MANS)'; \
581         test -n "$(man1dir)" \
582           && test -n "`echo $$list1$$list2`" \
583           || exit 0; \
584         echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
585         $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
586         { for i in $$list1; do echo "$$i"; done;  \
587         if test -n "$$list2"; then \
588           for i in $$list2; do echo "$$i"; done \
589             | sed -n '/\.1[a-z]*$$/p'; \
590         fi; \
591         } | while read p; do \
592           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
593           echo "$$d$$p"; echo "$$p"; \
594         done | \
595         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
596               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
597         sed 'N;N;s,\n, ,g' | { \
598         list=; while read file base inst; do \
599           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
600             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
601             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
602           fi; \
603         done; \
604         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
605         while read files; do \
606           test -z "$$files" || { \
607             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
608             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
609         done; }
610
611 uninstall-man1:
612         @$(NORMAL_UNINSTALL)
613         @list=''; test -n "$(man1dir)" || exit 0; \
614         files=`{ for i in $$list; do echo "$$i"; done; \
615         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
616           sed -n '/\.1[a-z]*$$/p'; \
617         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
618               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
619         dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
620 install-appdataDATA: $(appdata_DATA)
621         @$(NORMAL_INSTALL)
622         @list='$(appdata_DATA)'; test -n "$(appdatadir)" || list=; \
623         if test -n "$$list"; then \
624           echo " $(MKDIR_P) '$(DESTDIR)$(appdatadir)'"; \
625           $(MKDIR_P) "$(DESTDIR)$(appdatadir)" || exit 1; \
626         fi; \
627         for p in $$list; do \
628           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
629           echo "$$d$$p"; \
630         done | $(am__base_list) | \
631         while read files; do \
632           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(appdatadir)'"; \
633           $(INSTALL_DATA) $$files "$(DESTDIR)$(appdatadir)" || exit $$?; \
634         done
635
636 uninstall-appdataDATA:
637         @$(NORMAL_UNINSTALL)
638         @list='$(appdata_DATA)'; test -n "$(appdatadir)" || list=; \
639         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
640         dir='$(DESTDIR)$(appdatadir)'; $(am__uninstall_files_from_dir)
641 install-desktopDATA: $(desktop_DATA)
642         @$(NORMAL_INSTALL)
643         @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
644         if test -n "$$list"; then \
645           echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
646           $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
647         fi; \
648         for p in $$list; do \
649           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
650           echo "$$d$$p"; \
651         done | $(am__base_list) | \
652         while read files; do \
653           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
654           $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
655         done
656
657 uninstall-desktopDATA:
658         @$(NORMAL_UNINSTALL)
659         @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
660         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
661         dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
662 install-iconDATA: $(icon_DATA)
663         @$(NORMAL_INSTALL)
664         @list='$(icon_DATA)'; test -n "$(icondir)" || list=; \
665         if test -n "$$list"; then \
666           echo " $(MKDIR_P) '$(DESTDIR)$(icondir)'"; \
667           $(MKDIR_P) "$(DESTDIR)$(icondir)" || exit 1; \
668         fi; \
669         for p in $$list; do \
670           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
671           echo "$$d$$p"; \
672         done | $(am__base_list) | \
673         while read files; do \
674           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(icondir)'"; \
675           $(INSTALL_DATA) $$files "$(DESTDIR)$(icondir)" || exit $$?; \
676         done
677
678 uninstall-iconDATA:
679         @$(NORMAL_UNINSTALL)
680         @list='$(icon_DATA)'; test -n "$(icondir)" || list=; \
681         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
682         dir='$(DESTDIR)$(icondir)'; $(am__uninstall_files_from_dir)
683 install-readmeDATA: $(readme_DATA)
684         @$(NORMAL_INSTALL)
685         @list='$(readme_DATA)'; test -n "$(readmedir)" || list=; \
686         if test -n "$$list"; then \
687           echo " $(MKDIR_P) '$(DESTDIR)$(readmedir)'"; \
688           $(MKDIR_P) "$(DESTDIR)$(readmedir)" || exit 1; \
689         fi; \
690         for p in $$list; do \
691           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
692           echo "$$d$$p"; \
693         done | $(am__base_list) | \
694         while read files; do \
695           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(readmedir)'"; \
696           $(INSTALL_DATA) $$files "$(DESTDIR)$(readmedir)" || exit $$?; \
697         done
698
699 uninstall-readmeDATA:
700         @$(NORMAL_UNINSTALL)
701         @list='$(readme_DATA)'; test -n "$(readmedir)" || list=; \
702         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
703         dir='$(DESTDIR)$(readmedir)'; $(am__uninstall_files_from_dir)
704
705 # This directory's subdirectories are mostly independent; you can cd
706 # into them and run 'make' without going through this Makefile.
707 # To change the values of 'make' variables: instead of editing Makefiles,
708 # (1) if the variable is set in 'config.status', edit 'config.status'
709 #     (which will cause the Makefiles to be regenerated when you run 'make');
710 # (2) otherwise, pass the desired values on the 'make' command line.
711 $(am__recursive_targets):
712         @fail=; \
713         if $(am__make_keepgoing); then \
714           failcom='fail=yes'; \
715         else \
716           failcom='exit 1'; \
717         fi; \
718         dot_seen=no; \
719         target=`echo $@ | sed s/-recursive//`; \
720         case "$@" in \
721           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
722           *) list='$(SUBDIRS)' ;; \
723         esac; \
724         for subdir in $$list; do \
725           echo "Making $$target in $$subdir"; \
726           if test "$$subdir" = "."; then \
727             dot_seen=yes; \
728             local_target="$$target-am"; \
729           else \
730             local_target="$$target"; \
731           fi; \
732           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
733           || eval $$failcom; \
734         done; \
735         if test "$$dot_seen" = "no"; then \
736           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
737         fi; test -z "$$fail"
738
739 ID: $(am__tagged_files)
740         $(am__define_uniq_tagged_files); mkid -fID $$unique
741 tags: tags-recursive
742 TAGS: tags
743
744 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
745         set x; \
746         here=`pwd`; \
747         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
748           include_option=--etags-include; \
749           empty_fix=.; \
750         else \
751           include_option=--include; \
752           empty_fix=; \
753         fi; \
754         list='$(SUBDIRS)'; for subdir in $$list; do \
755           if test "$$subdir" = .; then :; else \
756             test ! -f $$subdir/TAGS || \
757               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
758           fi; \
759         done; \
760         $(am__define_uniq_tagged_files); \
761         shift; \
762         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
763           test -n "$$unique" || unique=$$empty_fix; \
764           if test $$# -gt 0; then \
765             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
766               "$$@" $$unique; \
767           else \
768             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
769               $$unique; \
770           fi; \
771         fi
772 ctags: ctags-recursive
773
774 CTAGS: ctags
775 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
776         $(am__define_uniq_tagged_files); \
777         test -z "$(CTAGS_ARGS)$$unique" \
778           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
779              $$unique
780
781 GTAGS:
782         here=`$(am__cd) $(top_builddir) && pwd` \
783           && $(am__cd) $(top_srcdir) \
784           && gtags -i $(GTAGS_ARGS) "$$here"
785 cscope: cscope.files
786         test ! -s cscope.files \
787           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
788 clean-cscope:
789         -rm -f cscope.files
790 cscope.files: clean-cscope cscopelist
791 cscopelist: cscopelist-recursive
792
793 cscopelist-am: $(am__tagged_files)
794         list='$(am__tagged_files)'; \
795         case "$(srcdir)" in \
796           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
797           *) sdir=$(subdir)/$(srcdir) ;; \
798         esac; \
799         for i in $$list; do \
800           if test -f "$$i"; then \
801             echo "$(subdir)/$$i"; \
802           else \
803             echo "$$sdir/$$i"; \
804           fi; \
805         done >> $(top_builddir)/cscope.files
806
807 distclean-tags:
808         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
809         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
810
811 distdir: $(BUILT_SOURCES)
812         $(MAKE) $(AM_MAKEFLAGS) distdir-am
813
814 distdir-am: $(DISTFILES)
815         $(am__remove_distdir)
816         test -d "$(distdir)" || mkdir "$(distdir)"
817         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
818         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
819         list='$(DISTFILES)'; \
820           dist_files=`for file in $$list; do echo $$file; done | \
821           sed -e "s|^$$srcdirstrip/||;t" \
822               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
823         case $$dist_files in \
824           */*) $(MKDIR_P) `echo "$$dist_files" | \
825                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
826                            sort -u` ;; \
827         esac; \
828         for file in $$dist_files; do \
829           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
830           if test -d $$d/$$file; then \
831             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
832             if test -d "$(distdir)/$$file"; then \
833               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
834             fi; \
835             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
836               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
837               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
838             fi; \
839             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
840           else \
841             test -f "$(distdir)/$$file" \
842             || cp -p $$d/$$file "$(distdir)/$$file" \
843             || exit 1; \
844           fi; \
845         done
846         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
847           if test "$$subdir" = .; then :; else \
848             $(am__make_dryrun) \
849               || test -d "$(distdir)/$$subdir" \
850               || $(MKDIR_P) "$(distdir)/$$subdir" \
851               || exit 1; \
852             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
853             $(am__relativize); \
854             new_distdir=$$reldir; \
855             dir1=$$subdir; dir2="$(top_distdir)"; \
856             $(am__relativize); \
857             new_top_distdir=$$reldir; \
858             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
859             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
860             ($(am__cd) $$subdir && \
861               $(MAKE) $(AM_MAKEFLAGS) \
862                 top_distdir="$$new_top_distdir" \
863                 distdir="$$new_distdir" \
864                 am__remove_distdir=: \
865                 am__skip_length_check=: \
866                 am__skip_mode_fix=: \
867                 distdir) \
868               || exit 1; \
869           fi; \
870         done
871         $(MAKE) $(AM_MAKEFLAGS) \
872           top_distdir="$(top_distdir)" distdir="$(distdir)" \
873           dist-hook
874         -test -n "$(am__skip_mode_fix)" \
875         || find "$(distdir)" -type d ! -perm -755 \
876                 -exec chmod u+rwx,go+rx {} \; -o \
877           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
878           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
879           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
880         || chmod -R a+r "$(distdir)"
881 dist-gzip: distdir
882         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
883         $(am__post_remove_distdir)
884
885 dist-bzip2: distdir
886         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
887         $(am__post_remove_distdir)
888
889 dist-lzip: distdir
890         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
891         $(am__post_remove_distdir)
892 dist-xz: distdir
893         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
894         $(am__post_remove_distdir)
895
896 dist-zstd: distdir
897         tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
898         $(am__post_remove_distdir)
899
900 dist-tarZ: distdir
901         @echo WARNING: "Support for distribution archives compressed with" \
902                        "legacy program 'compress' is deprecated." >&2
903         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
904         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
905         $(am__post_remove_distdir)
906
907 dist-shar: distdir
908         @echo WARNING: "Support for shar distribution archives is" \
909                        "deprecated." >&2
910         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
911         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
912         $(am__post_remove_distdir)
913
914 dist-zip: distdir
915         -rm -f $(distdir).zip
916         zip -rq $(distdir).zip $(distdir)
917         $(am__post_remove_distdir)
918
919 dist dist-all:
920         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
921         $(am__post_remove_distdir)
922
923 # This target untars the dist file and tries a VPATH configuration.  Then
924 # it guarantees that the distribution is self-contained by making another
925 # tarfile.
926 distcheck: dist
927         case '$(DIST_ARCHIVES)' in \
928         *.tar.gz*) \
929           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
930         *.tar.bz2*) \
931           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
932         *.tar.lz*) \
933           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
934         *.tar.xz*) \
935           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
936         *.tar.Z*) \
937           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
938         *.shar.gz*) \
939           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
940         *.zip*) \
941           unzip $(distdir).zip ;;\
942         *.tar.zst*) \
943           zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
944         esac
945         chmod -R a-w $(distdir)
946         chmod u+w $(distdir)
947         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
948         chmod a-w $(distdir)
949         test -d $(distdir)/_build || exit 0; \
950         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
951           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
952           && am__cwd=`pwd` \
953           && $(am__cd) $(distdir)/_build/sub \
954           && ../../configure \
955             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
956             $(DISTCHECK_CONFIGURE_FLAGS) \
957             --srcdir=../.. --prefix="$$dc_install_base" \
958           && $(MAKE) $(AM_MAKEFLAGS) \
959           && $(MAKE) $(AM_MAKEFLAGS) dvi \
960           && $(MAKE) $(AM_MAKEFLAGS) check \
961           && $(MAKE) $(AM_MAKEFLAGS) install \
962           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
963           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
964           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
965                 distuninstallcheck \
966           && chmod -R a-w "$$dc_install_base" \
967           && ({ \
968                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
969                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
970                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
971                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
972                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
973               } || { rm -rf "$$dc_destdir"; exit 1; }) \
974           && rm -rf "$$dc_destdir" \
975           && $(MAKE) $(AM_MAKEFLAGS) dist \
976           && rm -rf $(DIST_ARCHIVES) \
977           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
978           && cd "$$am__cwd" \
979           || exit 1
980         $(am__post_remove_distdir)
981         @(echo "$(distdir) archives ready for distribution: "; \
982           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
983           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
984 distuninstallcheck:
985         @test -n '$(distuninstallcheck_dir)' || { \
986           echo 'ERROR: trying to run $@ with an empty' \
987                '$$(distuninstallcheck_dir)' >&2; \
988           exit 1; \
989         }; \
990         $(am__cd) '$(distuninstallcheck_dir)' || { \
991           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
992           exit 1; \
993         }; \
994         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
995            || { echo "ERROR: files left after uninstall:" ; \
996                 if test -n "$(DESTDIR)"; then \
997                   echo "  (check DESTDIR support)"; \
998                 fi ; \
999                 $(distuninstallcheck_listfiles) ; \
1000                 exit 1; } >&2
1001 distcleancheck: distclean
1002         @if test '$(srcdir)' = . ; then \
1003           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
1004           exit 1 ; \
1005         fi
1006         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
1007           || { echo "ERROR: files left in build directory after distclean:" ; \
1008                $(distcleancheck_listfiles) ; \
1009                exit 1; } >&2
1010 check-am: all-am
1011 check: check-recursive
1012 all-am: Makefile $(MANS) $(DATA) config.h
1013 installdirs: installdirs-recursive
1014 installdirs-am:
1015         for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(appdatadir)" "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(icondir)" "$(DESTDIR)$(readmedir)"; do \
1016           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1017         done
1018 install: install-recursive
1019 install-exec: install-exec-recursive
1020 install-data: install-data-recursive
1021 uninstall: uninstall-recursive
1022
1023 install-am: all-am
1024         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1025
1026 installcheck: installcheck-recursive
1027 install-strip:
1028         if test -z '$(STRIP)'; then \
1029           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1030             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1031               install; \
1032         else \
1033           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1034             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1035             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1036         fi
1037 mostlyclean-generic:
1038
1039 clean-generic:
1040         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1041
1042 distclean-generic:
1043         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1044         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1045         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1046
1047 maintainer-clean-generic:
1048         @echo "This command is intended for maintainers to use"
1049         @echo "it deletes files that may require special tools to rebuild."
1050 clean: clean-recursive
1051
1052 clean-am: clean-generic mostlyclean-am
1053
1054 distclean: distclean-recursive
1055         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1056         -rm -f Makefile
1057 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
1058
1059 dvi: dvi-recursive
1060
1061 dvi-am:
1062
1063 html: html-recursive
1064
1065 html-am:
1066
1067 info: info-recursive
1068
1069 info-am:
1070
1071 install-data-am: install-appdataDATA install-desktopDATA \
1072         install-iconDATA install-man install-readmeDATA
1073
1074 install-dvi: install-dvi-recursive
1075
1076 install-dvi-am:
1077
1078 install-exec-am:
1079
1080 install-html: install-html-recursive
1081
1082 install-html-am:
1083
1084 install-info: install-info-recursive
1085
1086 install-info-am:
1087
1088 install-man: install-man1
1089
1090 install-pdf: install-pdf-recursive
1091
1092 install-pdf-am:
1093
1094 install-ps: install-ps-recursive
1095
1096 install-ps-am:
1097
1098 installcheck-am:
1099
1100 maintainer-clean: maintainer-clean-recursive
1101         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1102         -rm -rf $(top_srcdir)/autom4te.cache
1103         -rm -f Makefile
1104 maintainer-clean-am: distclean-am maintainer-clean-generic
1105
1106 mostlyclean: mostlyclean-recursive
1107
1108 mostlyclean-am: mostlyclean-generic
1109
1110 pdf: pdf-recursive
1111
1112 pdf-am:
1113
1114 ps: ps-recursive
1115
1116 ps-am:
1117
1118 uninstall-am: uninstall-appdataDATA uninstall-desktopDATA \
1119         uninstall-iconDATA uninstall-man uninstall-readmeDATA
1120
1121 uninstall-man: uninstall-man1
1122
1123 .MAKE: $(am__recursive_targets) all install-am install-strip
1124
1125 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1126         am--refresh check check-am clean clean-cscope clean-generic \
1127         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
1128         dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
1129         dist-zip dist-zstd distcheck distclean distclean-generic \
1130         distclean-hdr distclean-tags distcleancheck distdir \
1131         distuninstallcheck dvi dvi-am html html-am info info-am \
1132         install install-am install-appdataDATA install-data \
1133         install-data-am install-desktopDATA install-dvi install-dvi-am \
1134         install-exec install-exec-am install-html install-html-am \
1135         install-iconDATA install-info install-info-am install-man \
1136         install-man1 install-pdf install-pdf-am install-ps \
1137         install-ps-am install-readmeDATA install-strip installcheck \
1138         installcheck-am installdirs installdirs-am maintainer-clean \
1139         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
1140         pdf-am ps ps-am tags tags-am uninstall uninstall-am \
1141         uninstall-appdataDATA uninstall-desktopDATA uninstall-iconDATA \
1142         uninstall-man uninstall-man1 uninstall-readmeDATA
1143
1144 .PRECIOUS: Makefile
1145
1146
1147 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@doxygen-ps: @DX_DOCDIR@/@PACKAGE@.ps
1148
1149 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@@DX_DOCDIR@/@PACKAGE@.ps: @DX_DOCDIR@/@PACKAGE@.tag
1150 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     cd @DX_DOCDIR@/latex; \
1151 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     rm -f *.aux *.toc *.idx *.ind *.ilg *.log *.out; \
1152 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_LATEX) refman.tex; \
1153 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(MAKEINDEX_PATH) refman.idx; \
1154 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_LATEX) refman.tex; \
1155 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     countdown=5; \
1156 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     while $(DX_EGREP) 'Rerun (LaTeX|to get cross-references right)' \
1157 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@                       refman.log > /dev/null 2>&1 \
1158 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@        && test $$countdown -gt 0; do \
1159 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@         $(DX_LATEX) refman.tex; \
1160 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@         countdown=`expr $$countdown - 1`; \
1161 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     done; \
1162 @DX_COND_doc_TRUE@@DX_COND_ps_TRUE@     $(DX_DVIPS) -o ../@PACKAGE@.ps refman.dvi
1163
1164 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@doxygen-pdf: @DX_DOCDIR@/@PACKAGE@.pdf
1165
1166 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@@DX_DOCDIR@/@PACKAGE@.pdf: @DX_DOCDIR@/@PACKAGE@.tag
1167 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    cd @DX_DOCDIR@/latex; \
1168 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    rm -f *.aux *.toc *.idx *.ind *.ilg *.log *.out; \
1169 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_PDFLATEX) refman.tex; \
1170 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_MAKEINDEX) refman.idx; \
1171 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    $(DX_PDFLATEX) refman.tex; \
1172 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    countdown=5; \
1173 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    while $(DX_EGREP) 'Rerun (LaTeX|to get cross-references right)' \
1174 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@                      refman.log > /dev/null 2>&1 \
1175 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@       && test $$countdown -gt 0; do \
1176 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@        $(DX_PDFLATEX) refman.tex; \
1177 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@        countdown=`expr $$countdown - 1`; \
1178 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    done; \
1179 @DX_COND_doc_TRUE@@DX_COND_pdf_TRUE@    mv refman.pdf ../@PACKAGE@.pdf
1180
1181 @DX_COND_doc_TRUE@.PHONY: doxygen-run doxygen-doc $(DX_PS_GOAL) $(DX_PDF_GOAL)
1182
1183 @DX_COND_doc_TRUE@.INTERMEDIATE: doxygen-run $(DX_PS_GOAL) $(DX_PDF_GOAL)
1184
1185 @DX_COND_doc_TRUE@doxygen-run: @DX_DOCDIR@/@PACKAGE@.tag
1186
1187 @DX_COND_doc_TRUE@doxygen-doc: doxygen-run $(DX_PS_GOAL) $(DX_PDF_GOAL)
1188
1189 @DX_COND_doc_TRUE@@DX_DOCDIR@/@PACKAGE@.tag: $(DX_CONFIG) $(pkginclude_HEADERS)
1190 @DX_COND_doc_TRUE@      rm -rf @DX_DOCDIR@
1191 @DX_COND_doc_TRUE@      $(DX_ENV) $(DX_DOXYGEN) $(srcdir)/$(DX_CONFIG)
1192 @INTLTOOL_DESKTOP_RULE@
1193 @INTLTOOL_XML_RULE@
1194
1195 dist-hook: geeqie.spec
1196         cp $(top_builddir)/geeqie.spec $(distdir)
1197
1198 .PHONY: ChangeLog
1199 ChangeLog.html:
1200         ./gen_changelog.sh
1201
1202 README.html: README.md
1203         ./gen_readme.sh
1204
1205 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1206 # Otherwise a system limit (for SysV at least) may be exceeded.
1207 .NOEXPORT: